Bug 66250 - extended globbing in %files
extended globbing in %files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-06 15:28 EDT by Ville Skyttä
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-06 15:28:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2002-06-06 15:28:20 EDT
IMHO it would be very useful to be able to use extended globbing in spec 
files' %files sections; "shopt -s extglob" does it for bash. 
 
ATM it doesn't seem to be possible, as I haven't found a way to put any shell 
commands into %files sections.  If a workaround exists, I'd be grateful to 
hear about it...
Comment 1 Jeff Johnson 2002-06-07 10:59:42 EDT
Use "%files -f manifest", and generate the
manifest file any way you choose at the end
of the %install scriptlet.

There's no way to do directly in %files, as
this isn't a shell context. If you can map
the "shoopt -s extglob" back to the actual
C API flags for glob(3) and/or fnmatch(3),
I might be able to set that flag by default.
Currently rpm has a conservative "0" value for
the flags, and a spot check of the available
glob flags shows no immediately interesting values.

Note You need to log in before you can comment on or make changes to this bug.